// power flow func
function initPowerFlow()
{
	ds("acloss");
	ds("overload");
	ds("batteryloss");
	ds("right_arrow_1");
	ds("right_arrow_2");
	ds("leftdown");
	ds("leftdownup");
	ds("upleft");
	ds("upright");
	ds("down1");
	ds("down2");
	ds("downupdown");
	ds("up1");
	ds("up2");
	ds("leftup");
	ds("downright");
	ds("faultmode");
	//ds("powerflow");
	//ensolar
	ds("statusbg1");
	ds("statusbg2");
	ds("statusbg3");
	ds("pv1");
	ds("pv2");
	ds("pv3");
	ds("pv4");
	ds("pv5");
	ds("ac");
	ds("acdc");
}
function rePowerFlow(workinfo)
{
	var workMode = workinfo.workMode;
	if(workMode == "Standby without charging")
	{
		showStandbyWithoutCharging(workinfo);
	}
	else if(workMode == "Standby with PV charging")
	{
		showStandbyWithPVCharging(workinfo);
	}
	else if(workMode == "Standby with AC charging")
	{
		showStandbyWithACCharging(workinfo);
	}
	else if(workMode == "Bypass without charging")
	{
		showBypassWithoutCharging(workinfo);
	}
	else if(workMode == "Bypass with PV charging")
	{
		showBypassWithPVCharging(workinfo);
	}
	else if(workMode == "Bypass with AC charging")
	{
		showBypassWithACCharging(workinfo);
	}
	else if(workMode == "Grid-tie with backup")
	{	
		showGridtiewithBackup(workinfo);
	}
	else if(workMode == "Inverter")
	{
		showInverterMode(workinfo);
	}
	else if(workMode == "Power On")
	{
		showPowerOnMode(workinfo);
	}
	else if(workMode == "Standby")
	{
		ds("powerflow");
		showStandbyMode(workinfo);
	}
	else if(workMode == "Bypass")
	{
		//ds("powerflow");
		//showBypassMode(workinfo);
	}
	else if(workMode == "Line")
	{
		 //ds("powerflow");
		//.(workinfo);
	}
	else if(workMode == "Fault")
	{
		ds("powerflow");
		showFaultMode(workinfo);
	}
	else if(workMode == "Shutdown")
	{
		//ds("powerflow");
		//.(workinfo);
	}
	else if(workMode == "Grid")
	{
		ds("powerflow");
		showGridMode(workinfo);
	}
	else
	{
		initPowerFlow();
	}
}
function showStandbyWithoutCharging(workinfo)
{
	initPowerFlow();
	if(workinfo.overLoad)
	{
		en("overload");
	}
	if(workinfo.lineLoss)
	{
		en("acloss");
	}
	if(workinfo.noBattery)
	{
		en("batteryloss");
	}
	if(workinfo.fault)
	{
		en("faultmode");
	}
}

function showStandbyWithPVCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.pvLoss && workinfo.batteryStatus=="01")
	{
		en("right_arrow_1");
		en("leftdown");
		en("down2");
	}
}

function showStandbyWithACCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.batteryStatus=="01")
	{
		en("upleft");
		en("down1");
		en("leftdown");
		en("down2");
	}
}

function showBypassWithoutCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
}

function showBypassWithPVCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
	if(!workinfo.pvLoss && workinfo.batteryStatus=="01")
	{
		en("right_arrow_1");
		en("leftdown");
		en("down2");
	}
}

function showBypassWithACCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
	if(!workinfo.lineLoss && workinfo.batteryStatus=="01")
	{
		en("down1");
		en("upleft");
		en("leftdown");
		en("down2");
	}
}

function showGridtiewithBackup(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(workinfo.prodid == 16 || workinfo.prodid == 17)
	{
		if(workinfo.hasLoad)
		{
			
			en("upright");
			en("right_arrow_2");
		}
		
		if(workinfo.lineDirection == "00")
		{
			en("downupdown");
		}
		else if(workinfo.lineDirection == "01")
		{
			en("down1");
		}
		else if(workinfo.lineDirection == "02")
		{
			en("up1");
		}
		
		if(workinfo.invDirection == "0")
		{
			en("leftup");
		}
		else if(workinfo.invDirection == "1")
		{
			en("upleft");
		}
		
		if(!workinfo.pvLoss)
		{
			en("right_arrow_1");
			
			if(!workinfo.noBattery && workinfo.batteryStatus=="01")
			{
				en("leftdown");
				en("down2");
			}
		}
		else
		{
			if(!workinfo.noBattery && workinfo.batteryStatus=="02")
			{
				en("up2");
				en("leftdownup");
			}
		}
	}
}

function showInverterMode(workinfo)
{
	initPowerFlow();
	if(workinfo.overLoad)
	{
		en("overload");
	}
	if(workinfo.lineLoss)
	{
		en("acloss");
	}
	if(workinfo.fault)
	{
		en("faultmode");
	}
	if(workinfo.noBattery)
	{
		en("batteryloss");
		en("right_arrow_1");
		en("leftdown");
		en("downright");
		en("right_arrow_2");
	}
	else
	{

		if(!workinfo.pvLoss)
		{
			en("right_arrow_1");
			en("leftdown");
		}
		
		if(workinfo.batteryStatus == "00")
		{
			//en("downupdown");
		}
		else if(workinfo.batteryStatus == "01")
		{
			en("down2");
		}
		else if(workinfo.batteryStatus == "02")
		{
			en("up2");
		}
		
		if(workinfo.hasLoad)
		{
			en("downright");
			en("right_arrow_2");
		}
	}
}

function showPowerOnMode(workinfo)
{
	initPowerFlow();
	if(workinfo.prodid == 15){
		ds("powerflow");
		switch(workinfo.mpptackerNum){
			case 1: {
				en("statusbg1");
				break;
			} 
			case 2: {
				en("statusbg2");
				break;
			} 
			case 3: {
				en("statusbg3");
				break;
			} 
			default: {
				en("statusbg2");
			}
		}
	}
}

//ensolar
function showStandbyMode(workinfo)
{
	initPowerFlow();
	switch(workinfo.mpptackerNum){
		case 1: {
			en("statusbg1");
			break;
		} 
		case 2: {
			en("statusbg2");
			break;
		} 
		case 3: {
			en("statusbg3");
			break;
		} 
		default: {
			en("statusbg2");
		}
	}
	if(workinfo.lineLoss){
		en("ac")
	}else{
		ds("ac")
	}
	//acdcLabel.setVisible(false);
	//pv1Label.setVisible(false);
	//pv2Label.setVisible(false);
	//pv3Label.setVisible(false);
	//pv4Label.setVisible(false);
	//pv5Label.setVisible(false);
}

function showGridMode(workinfo){
	initPowerFlow();
	switch(workinfo.mpptackerNum){
		case 1: {
			en("statusbg1");
			ds("pv1")
			ds("pv2")
			en("pv3")
			en("pv4")
			en("pv5")
			break;
		} 
		case 2: {
			en("statusbg2");

			if(workinfo.prodid == 15){
				if(workinfo.PV1InVol<workinfo.pvlowLimitVol){
					ds("pv1");
				}else{
					en("pv1");
				}
				if(workinfo.PV2InVol<workinfo.pvlowLimitVol){
					ds("pv2");
				}else{
					en("pv2");
				}
				ds("pv3");
				if(workinfo.PV1InVol<workinfo.pvlowLimitVol && workinfo.PV2InVol<workinfo.pvlowLimitVol){
					ds("pv4");
					ds("pv5");
				}else{
					en("pv4");
					en("pv5");
				}
			}else if(workinfo.prodid == 17 ){
				/*if(workinfo.pvLoss){
					ds("pv1");
				}else{
					en("pv1");
				}
				if(workinfo.getPv2WorkStatus().equals("0")){
					pv2Label.setVisible(false);
				}else{
					pv2Label.setVisible(true);
				}
				pv3Label.setVisible(false);
				if(workinfo.getPv1WorkStatus().equals("0") && workinfo.getPv2WorkStatus().equals("0")){
					pv4Label.setVisible(false);
					pv5Label.setVisible(false);
				}else{
					pv4Label.setVisible(true);
					pv5Label.setVisible(true);
				}*/
			}
			break;
		} 
		case 3: {
			en("statusbg3");
			if(workinfo.PV1InVol<workinfo.pvlowLimitVol){
				ds("pv1");
			}else{
				en("pv1");
			}
			if(workinfo.PV2InVol<workinfo.pvlowLimitVol){
				ds("pv2");
			}else{
				en("pv2");
			}
			if(workinfo.PV3InVol<workinfo.pvlowLimitVol){
				ds("pv3");
			}else{
				en("pv3");
			}
			if(workinfo.PV1InVol<workinfo.pvlowLimitVol && workinfo.PV2InVol<workinfo.pvlowLimitVol){
				ds("pv4");
				ds("pv5");
			}else{
				en("pv4");
				en("pv5");
			}
			break;
		} 
		default: {
			en("statusbg2");
			ds("pv1");
			ds("pv2");
			ds("pv3");
			ds("pv4");
			ds("pv5");
		}
	}
	if(workinfo.lineLoss){
		en("ac");
	}else{
		ds("ac");
	}
	ds("acdc");
}

function showFaultMode(workinfo){
	switch(number) {
		case 1: {
			en("statusbg1");
			break;
		} 
		case 2: {
			en("statusbg2");
			break;
		}
		case 3: {
			en("statusbg3");
			break;
		} 
		default: {
			en("statusbg2");
		}
	}
	if(workinfo.lineLoss){
		en("ac");
	}else{
		ds("ac");
	}
	en("acdc");
	ds("pv1");
	ds("pv2");
	ds("pv3");
	ds("pv4");
	ds("pv5");
}
//power flow fun end
