// power flow func
function initPowerFlow()
{
	ds("acloss");
	ds("overload");
	ds("batteryloss");
	ds("right_arrow_1");
	ds("right_arrow_2");
	ds("leftdown");
	ds("leftdownup");
	ds("upleft");
	ds("upright");
	ds("down1");
	ds("down2");
	ds("downupdown");
	ds("up1");
	ds("up2");
	ds("leftup");
	ds("downright");
	ds("faultmode");
}
function rePowerFlow(workinfo)
{
	var workMode = workinfo.workMode;
	if(workMode == "Standby without charging")
	{
		showStandbyWithoutCharging(workinfo);
	}
	else if(workMode == "Standby with PV charging")
	{
		showStandbyWithPVCharging(workinfo);
	}
	else if(workMode == "Standby with AC charging")
	{
		showStandbyWithACCharging(workinfo);
	}
	else if(workMode == "Bypass without charging")
	{
		showBypassWithoutCharging(workinfo);
	}
	else if(workMode == "Bypass with PV charging")
	{
		showBypassWithPVCharging(workinfo);
	}
	else if(workMode == "Bypass with AC charging")
	{
		showBypassWithACCharging(workinfo);
	}
	else if(workMode == "Grid-tie with backup")
	{	
		showGridtiewithBackup(workinfo);
	}
	else if(workMode == "Inverter")
	{
		showInverterMode(workinfo);
	}
	else if(workMode == "Power On")
	{
		showPowerOnMode(workinfo);
	}
	else
	{
		initPowerFlow();
	}
}
function showStandbyWithoutCharging(workinfo)
{
	initPowerFlow();
	if(workinfo.overLoad)
	{
		en("overload");
	}
	if(workinfo.lineLoss)
	{
		en("acloss");
	}
	if(workinfo.noBattery)
	{
		en("batteryloss");
	}
	if(workinfo.fault)
	{
		en("faultmode");
	}
}

function showStandbyWithPVCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.pvLoss && workinfo.batteryStatus=="01")
	{
		en("right_arrow_1");
		en("leftdown");
		en("down2");
	}
}

function showStandbyWithACCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.batteryStatus=="01")
	{
		en("upleft");
		en("down1");
		en("leftdown");
		en("down2");
	}
}

function showBypassWithoutCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
}

function showBypassWithPVCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
	if(!workinfo.pvLoss && workinfo.batteryStatus=="01")
	{
		en("right_arrow_1");
		en("leftdown");
		en("down2");
	}
}

function showBypassWithACCharging(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(!workinfo.lineLoss && workinfo.hasLoad)
	{
		en("down1");
		en("upright");
		en("right_arrow_2");
	}
	if(!workinfo.lineLoss && workinfo.batteryStatus=="01")
	{
		en("down1");
		en("upleft");
		en("leftdown");
		en("down2");
	}
}

function showGridtiewithBackup(workinfo)
{
	showStandbyWithoutCharging(workinfo);
	if(workinfo.prodid == 16 || workinfo.prodid == 17)
	{
		if(workinfo.hasLoad)
		{
			
			en("upright");
			en("right_arrow_2");
		}
		
		if(workinfo.lineDirection == "00")
		{
			en("downupdown");
		}
		else if(workinfo.lineDirection == "01")
		{
			en("down1");
		}
		else if(workinfo.lineDirection == "02")
		{
			en("up1");
		}
		
		if(workinfo.invDirection == "0")
		{
			en("leftup");
		}
		else if(workinfo.invDirection == "1")
		{
			en("upleft");
		}
		
		if(!workinfo.pvLoss)
		{
			en("right_arrow_1");
			
			if(!workinfo.noBattery && workinfo.batteryStatus=="01")
			{
				en("leftdown");
				en("down2");
			}
		}
		else
		{
			if(!workinfo.noBattery && workinfo.batteryStatus=="02")
			{
				en("up2");
				en("leftdownup");
			}
		}
	}
}

function showInverterMode(workinfo)
{
	initPowerFlow();
	if(workinfo.overLoad)
	{
		en("overload");
	}
	if(workinfo.lineLoss)
	{
		en("acloss");
	}
	if(workinfo.fault)
	{
		en("faultmode");
	}
	if(workinfo.noBattery)
	{
		en("batteryloss");
		en("right_arrow_1");
		en("leftdown");
		en("downright");
		en("right_arrow_2");
	}
	else
	{

		if(!workinfo.pvLoss)
		{
			en("right_arrow_1");
			en("leftdown");
		}
		
		if(workinfo.batteryStatus == "00")
		{
			//en("downupdown");
		}
		else if(workinfo.batteryStatus == "01")
		{
			en("down2");
		}
		else if(workinfo.batteryStatus == "02")
		{
			en("up2");
		}
		
		if(workinfo.hasLoad)
		{
			en("downright");
			en("right_arrow_2");
		}
	}
}

function showPowerOnMode(workinfo)
{
	initPowerFlow();
}
//power flow fun end
